---
title: "Approve, reject or restore (back to review) a testimonial (managers). Body: { action }"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Field Sales

`POST /api/field-sales/testimonials/{id}/review`

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.channelautomation.com/api/field-sales/testimonials/%7Bid%7D/review
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/field-sales/testimonials/%7Bid%7D/review';
const options = {method: 'POST'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/field-sales/testimonials/%7Bid%7D/review"

response = requests.post(url)

print(response.text)
```


Source: https://developer.channelautomations.com/api/post-api-field-sales-testimonials-id-review/index.md
